> ## Documentation Index
> Fetch the complete documentation index at: https://docs.valyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch rate cards associated to a fee component



## OpenAPI

````yaml GET /billing/contract/feeComponent/ratecard
openapi: 3.1.0
info:
  title: OpenAPI Valyx API
  description: To demonstrate features in the Valyx
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.valyx.com
security:
  - bearerAuth:
      - demo-api
tags:
  - name: billing
    description: External Billing APIs
  - name: external
    description: External APIs for customers
  - name: invoice
    description: Invoice APIs
  - name: creditNote
    description: Credit Note APIs
paths:
  /billing/contract/feeComponent/ratecard:
    get:
      tags:
        - billing
      operationId: get_fetch_contract_rate_card_relations
      parameters:
        - name: contractId
          in: query
          required: true
          schema:
            type: string
        - name: feeComponentId
          in: query
          schema:
            type: string
        - name: X-Valyx-Signature
          in: header
          required: true
          description: Auth key for fetching ledger entries
          schema:
            type: string
        - name: X-Fields
          in: header
          description: An optional fields mask
          schema:
            type: string
            format: mask
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ContractRateCardRelationshipListResponseModel
components:
  schemas:
    ContractRateCardRelationshipListResponseModel:
      properties:
        error:
          type: string
        message:
          type: string
        data:
          type: array
          items:
            $ref: '#/components/schemas/ContractRateCardRelationshipData'
      type: object
    ContractRateCardRelationshipData:
      properties:
        id:
          type: object
        contractId:
          type: object
        feeComponentId:
          type: object
        ratecardId:
          type: object
        tags:
          type: object
        createdBy:
          type: object
        status:
          type: object
        companyId:
          type: object
      type: object

````